RedBoot User's Guide
Prev |  | Next

# fs info

## Name

fs info -- Print filesystem information

## Synopsis

fs info

## Arguments

The command takes no arguments.

## Description

This command prints information about the filesystems that are available. Three lists are produced. The first is a list of the filsystem implementations available in RedBoot; names from this list may be used in the `-t` option to the fs mount command. The second list describes the block devices that are available for mounting a filesystem; names from this list may be used in the `-d` option to the fs mount command. The last list describes the filesystems that are already mounted.

## Examples

    RedBoot> fs info
    Filesystems available:
    ramfs
    jffs2

    Devices available:
    /dev/flash1

    Mounted filesystems:
             Device Filesystem Mounted on
        <undefined>      ramfs /
        /dev/flash1      jffs2 /flash
    RedBoot>

Prev | Home | Next
Filesystem Interface | Up | fs mount